Skip navigation.
Home
Yes, RTFM!

oracle

  • warning: Creating default object from empty value in /home/groups/h/hy/hype/htdocs/d/modules/taxonomy.module on line 1223.
  • : Function split() is deprecated in /home/groups/h/hy/hype/htdocs/d/modules/filter.module on line 1066.
  • : Function split() is deprecated in /home/groups/h/hy/hype/htdocs/d/modules/filter.module on line 1066.
  • : Function split() is deprecated in /home/groups/h/hy/hype/htdocs/d/modules/filter.module on line 1066.
  • : Function split() is deprecated in /home/groups/h/hy/hype/htdocs/d/modules/filter.module on line 1066.
  • : Function split() is deprecated in /home/groups/h/hy/hype/htdocs/d/modules/filter.module on line 1066.
  • : Function split() is deprecated in /home/groups/h/hy/hype/htdocs/d/modules/filter.module on line 1066.

Oracle Application Express 3.0.1 for Oracle Database XE

うお、Oracle Database 10g Express Edition(XE)で Oracle Application Express(APEX)を
2.1から 3.0.1へアップグレードできるようになったらしい。これでやっと 2.2の時の無念が晴らせる。
ま、どちらにしろ絶好調日本オラクルでは、あいかわらず知らぬふりですが。
ひまができたら試してみよっと。

reference:

etch pkg: php5 was added (5.2.3-1~edh.0)

| |

release: yet anather etch backports
base version: 5.2.3-1 from sid
oracle client version: 10.2.0.1-1.2 (oracle-xe-client)

debianパッケージのある Oracle XE Clientを使用して Oracleサポートを有効にしつつ、
php5を sidからバックポートしてみました。お楽しみくださいませ。

etch pkg: libdbd-oracle-perl was added (1.19-0~edh.0)

| |

release: yet anather etch backports
base version: 1.17 from www.non-gnu.uvt.nl
oracle client version: 10.2.0.1-1.2 (oracle-xe-client)

Backport from libdbd-oracle-perl 1.19 on original.

debianパッケージのある Oracle XE Clientを使用して libdbd-oracle-perlを作成。
いちおうテスト。
まず、サーバ側で scottユーザを有効にしてから、
libdbd-oracle-perlをインストールしたマシンから接続。

$ source /usr/lib/oracle/xe/app/oracle/product/10.2.0/client/bin/oracle_env.sh
$ perl /usr/share/doc/libdbd-oracle-perl/Oracle.ex/tabinfo.pl "host=oracle_server;sid=XE" 'scott' 'tiger' test
Structure of test

Field name                                    | Length | Type | Type Name
----------------------------------------------+--------+------+-----------------
NAME1                                         |     10 |    1 | CHAR
NAME2                                         |     10 |   12 | VARCHAR2

てことで、大丈夫やね。んでは、お楽しみくださいませ。

Oracle XE datafile path to "/var/lib/oracle"

|

Oracle XEdebパッケージでむかついたのは、何も聞かずに
いきなり DBの datafileを"/usr/lib/oracle/xe/oradata/XE"
なんてところにつくってくれちゃったりしたことなんだけど、
これをなんとか "/var/lib/oracle" あたりに変更できないか調べてみた。

Web探しても情報無いっぽかったので、deb パッケージを
ほどいていろいろやってみた結果、なんとか "/var/lib/oracle" に
変更する方法がわかった。

Enable web admin interface for Oracle XE from command line

|

Oracle XEには、OEMは付属してなくて Application Express 2.1(XEカスタムバージョン)
Web管理インターフェースが付属してたりします。
これがデフォルトでは、localhostからの接続しか受けつけないように設定されているので
リモートから接続できるように設定を変更しなきゃなのです。

んで、XEがリモートにインストールされてて ssh/telnet接続しかできない場合に、
ローカルに Xサーバ立ててリモートの firefoxで設定するのもイヤンな感じなので、
コマンドラインから設定できないか調べてみました。

apt-line for Oracle Database XE

|

apt-get 一発で Oracle Database XEをインストールできるようにするには、
"/etc/apt/sources.list"に以下を設定する。

# for oracle xe
deb http://oss.oracle.com/debian unstable main non-free
deb-src http://oss.oracle.com/debian/ unstable main

これでインストールできるのは以下の debパッケージ。

  • oracle-xe
  • oracle-xe-client
  • oracle-xe-universal
  • libaio

reference:
Installing Oracle Database XE on Debian, Ubuntu, and Kubuntu

Oracle Application Express 2.2 on XE

|

最近、debian上の Oracle Database 10g Express Edition(XE)で遊んでて、
XE上で Oracle Application Express 2.2が使えるかどうか、
ちょっと調べてみたのでメモ。

結論からいうと XEには、Oracle Application Express 2.2を
インストールすることはできないらしい。

Oracle Database Application Expressインストレーション・ガイド リリース2.2 ->
2 Oracle Application Expressのインストール要件

Oracle Application Expressリリース2.2では、リリース9.2.0.3以上のOracleデータベースが必要です。

って書いてあったから期待したんだけど、
US OTN -> Oracle Application Express ->
"Working with Oracle APEX 2.2 and Oracle Database XE (or HTML DB 2.0)?" って
ページに、"できないよん" って書いてあった。

Application Express 2.2 cannot be installed in XE.

XEについてる 2.1からけっこう機能が追加されてて、
おもしろそうだからいろいろ遊んでみたかったのになぁ...無念。

drupal under oracle

|

Drupal under ORACLE 9i/10g - a call for volunteer testers.
なんかちょっとおもしろそ。Oracleは XEがけっこう評判らしいから
こういうパターンがふえるんだろうな。

Syndicate content